<?php
// Author: Joshua Uziel
// Copyright 2001 Sun Microsystems, Inc.  All rights reserved.
// $Id: upsHandler.php,v 1.3 2001/09/24 04:18:05 uzi Exp $

include("ServerScriptHelper.php");

$helper = new ServerScriptHelper($sessionId);
$cce = $helper->getCceClient();

// Null state if disabled... I think it makes things clear.
if ($stateField == "disabled")
	$mystate = "";
else
	$mystate = $stateField;

// Update even if info won't be active... "customer is always right"
$cce->setObject("System",
	array("state" => $mystate,
		"macs" => $macsField,
		"wakeslaves" => $wakeSlavesField,
		"wakedelay" => $wakeDelayField,
		"masterip" => $masteripField),
	"UPS");

$errors = $cce->errors();

print $helper->toHandlerHtml("/base/ups/ups.php", $errors);

$helper->destructor();
?>
